Name:		dnsmasq
Version:	2.38
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.thekelleys.org.uk/dnsmasq
Conflicts:	bind
Source0:	http://www.thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.bz2
Source1:    dnsmasq.sysconfig
Source2:    dnsmasq.init
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	A lightweight dhcp and caching nameserver
Requires(preun):		rpm-helper
Requires(post):         rpm-helper

%description
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It 
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP 
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or 
in a central configuration file. Dnsmasq supports static and dynamic DHCP 
leases and BOOTP for network booting of diskless machines.

%prep
%setup -q

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{SOURCE2} -D $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}

install -m644 dnsmasq.conf.example -D $RPM_BUILD_ROOT%{_sysconfdir}/dnsmasq.conf

install -m755 -D src/dnsmasq $RPM_BUILD_ROOT%{_sbindir}/dnsmasq
#ln -sf ../../%{_initrddir}/%{name} $RPM_BUILD_ROOT/%{_sbindir}/rcdnsmasq
install -m644 man/dnsmasq.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/dnsmasq.8

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING FAQ doc.html setup.html 
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/dnsmasq.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%doc %{_mandir}/man8/%{name}*


%changelog
* Tue Feb 13 2007 Lenny Cartier <lenny@mandriva.com> 2.38-1mdv2007.0
+ Revision: 120393
- Update to 2.38

* Mon Feb 05 2007 Lenny Cartier <lenny@mandriva.com> 2.37-1mdv2007.1
+ Revision: 116468
- Update to 2.37

* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 2.33-1mdv2007.1
+ Revision: 101650
- Import dnsmasq



* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 2.33-1mdv2007.0
- 2.33

* Tue Jun 13 2006 Lenny Cartier <lenny@mandriva.com> 2.32-1mdv2007.0
- 2.32

* Tue May 09 2006 Lenny Cartier <lenny@mandriva.com> 2.31-1mdk
- 2.31

* Wed Apr 26 2006 Lenny Cartier <lenny@mandriva.com> 2.30-1mdk
- 2.30

* Tue Apr 18 2006 Lenny Cartier <lenny@mandriva.com> 2.28-1mdk
- 2.28

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 2.27-1mdk
- 2.27

* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 2.26-1mdk
- 2.26

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 2.25-1mdk
- 2.25

* Mon Dec 19 2005 Michael Scherer <misc@mandriva.org> 2.24-1mdk
- 2.24
- mkrel
- add a config file to the initscript
- fix the initscript based on the one provided in the package
- fix Prereq

* Thu Mar 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.21-1mdk
- 2.21

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.20-1mdk
- 2.20

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.18-1mdk
- 2.18

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.17-1mdk
- 2.17

* Tue Sep 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.15-1mdk
- 2.15

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- 2.14

* Sun Aug 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.13-1mdk
- 2.13

* Tue Jul 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9-1mdk
- 2.9
- leave stuff to spec-helper
- cosmetics

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.8-1mdk
- 2.8

* Thu May 06 2004 Florin <florin@mandrakesoft.com> 2.7-1mdk
- first mandrake release
